/*
* createBootBlock
* Author: Jason Cooper
* Version 0.2
* Description: Take a binary blob and convert it into a boot block (
*/
#include<stdio.h>
#include<stdlib.h>

int main(int argc, char ** argv)
{
	int i;
	char c;
	FILE * output;
	FILE * boot;
	char Sector[512];

	if(argc<2)
	{
		printf("Usage %s <Image File> <BootSectorCode>\n", argv[0]);
		exit(1);
	}


	if(NULL==(output=fopen(argv[1],"wb")))
	{
		printf("Error : Unable to open file %s\n", argv[1]);
		exit(1);
	}

	if(NULL==(boot=fopen(argv[2],"rb")))
	{
		printf("Error : Unable to open file %s\n", argv[2]);
		fclose(output);
		exit(1);
	}

	/* Blank the boot block with '\0'*/
	for(i=0;i<512;i++) Sector[i]=0;
	
	/* Load the boot sector */
	i=0;
	while(fread(&c, sizeof(char),1, boot))
	{
		Sector[i]=c;
		i++;
	}

	fclose(boot);
	/* Add the boot sector signature */
	Sector[510]=0x55;
	Sector[511]=0xAA;

	fwrite(Sector, sizeof(char), 512, output);
	
	fclose(output);
	
	return 0;
}
